%define upstream_name    Devel-DumpTrace
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PPI-based version of Devel::DumpTrace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Hash::SafeKeys) >= 0.10.0
BuildRequires: perl(PadWalker) >= 1.500.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Text::Shorten' creates small strings and small arrays from larger values
for display purposes. The output will include the string '"..."' to
indicate that the value being displayed is abbreviated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.290.0-2.mga8
+ Revision: 1526676
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.290.0-1.mga8
+ Revision: 1415503
- update to 0.29

* Thu Dec 20 2018 tv <tv> 0.280.0-1.mga7
+ Revision: 1343426
- update to 0.28

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-2.mga7
+ Revision: 1282777
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.270.0-1.mga7
+ Revision: 1253935
- update to 0.27

* Mon Oct 02 2017 tv <tv> 0.260.0-2.mga7
+ Revision: 1164058
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.260.0-1.mga7
+ Revision: 1155492
- update to 0.26

* Sun Jun 19 2016 pterjan <pterjan> 0.240.0-3.mga6
+ Revision: 1025503
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 968346
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 852082
- update to 0.24

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 745776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 684314
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 525235
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.180.0-1.mga4
+ Revision: 432534
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 365734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 15 2012 shlomif <shlomif> 0.170.0-1.mga3
+ Revision: 260768
- imported package perl-Devel-DumpTrace


* Fri Jun 15 2012 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
